Loading...
Searching...
No Matches
etl::fsm_state< TContext, TDerived, STATE_ID_, T1, T2, T3, T4, T5, T6, T7, void, void, void, void, void, void, void, void, void > Class Template Reference

## Static Public Attributes

static ETL_CONSTANT etl::fsm_state_id_t | STATE_ID = STATE_ID_
Static Public Attributes inherited from etl::private_fsm::ifsm_state_helper< T >
static ETL_CONSTANT fsm_state_id_t | No_State_Change = etl::integral_limits<fsm_state_id_t>::max
static ETL_CONSTANT fsm_state_id_t | Pass_To_Parent = No_State_Change - 1U
static ETL_CONSTANT fsm_state_id_t | Self_Transition = No_State_Change - 2U

## Protected Member Functions

TContext & | get_fsm_context () const
Protected Member Functions inherited from etl::ifsm_state
| ifsm_state (etl::fsm_state_id_t state_id_)
| Constructor.
virtual | ~ifsm_state ()
| Destructor.
etl::fsm & | get_fsm_context () const

## Additional Inherited Members

Public Member Functions inherited from etl::ifsm_state
etl::fsm_state_id_t | get_state_id () const
| Gets the id for this state.
void | add_child_state (etl::ifsm_state &state)
template<typename TSize>
void | set_child_states (etl::ifsm_state **state_list, TSize size)

The documentation for this class was generated from the following file:

- include/etl/fsm.h